Interface Technology Basics VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Namespaces | Functions
ustring.cpp File Reference
`#include "ustring.h"`
`#include <cstring>`
`#include <string>`
`#include <codecvt>`
`#include <sstream>`
`#include <locale>`
`#include <wctype.h>`
`#include <wchar.h>`

## Namespaces
namespace | Steinberg
| This header provides classes for working with FUnknown.

## Functions
template<class TDstChar, class TSrcChar>
void | StringCopy (TDstChar *dst, int32 dstSize, const TSrcChar *src, int32 srcSize=-1)
| Copy strings of different character width.
template<class TSrcChar>
int32 | StringLength (const TSrcChar *src, int32 srcSize=-1)
| Find length of null-terminated string, i.e.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.